Skip to content

One round with every bid and loan

GET
/v1/rounds/{round}
curl --request GET \
--url https://api.tako.wtf/v1/rounds/example
round
required
string
/^\d+$/

Election id

OK

Media typeapplication/json
object
round
required

Election id, the unix time the round starts

string
decidedAt
required
Any of:

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
lent
required
Any of:

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
funded
required
Any of:
integer
>= -9007199254740991 <= 9007199254740991
requests
required
integer
>= -9007199254740991 <= 9007199254740991
settled
required
integer
>= -9007199254740991 <= 9007199254740991
poolTake
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
payout
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
loans
required
Array<object>
object
round
required
string
borrower
required

User-friendly address

string
status
required
string
Allowed values: requested evicted unfunded funded settled
amount
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
minPayment
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
collateral
required

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
requestedAt
required

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
principal
required
Any of:

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
fundedAt
required
Any of:

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991
poolTake
required
Any of:

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
payout
required
Any of:

Amount in nanoGram, as a decimal string

string
/^-?\d+$/
settledAt
required
Any of:

Unix seconds

integer
>= -9007199254740991 <= 9007199254740991

Example

{
"loans": [
{
"status": "requested"
}
]
}

Invalid parameter

Media typeapplication/json
object
error
required
string

Example generated

{
"error": "example"
}

Not found

Media typeapplication/json
object
error
required
string

Example generated

{
"error": "example"
}